"use strict";

process.chdir(__dirname);

const fs = require('fs');
fs.writeFileSync('pid.txt', process.pid);

const config = require('komodo-sdk/config');
process.title = `KOMODO-CENTER@${(config && typeof config.name === 'string') ? config.name.toUpperCase() : 'SMS'}`;


require('./lib/transport');
require('./lib/apiserver');